Bug 106033 - libAbiHancom.so linked against both libglib-1.2 and libglib2.0
Summary: libAbiHancom.so linked against both libglib-1.2 and libglib2.0
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: abiword (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-10-02 06:44 UTC by Ralph Loader
Modified: 2007-04-18 16:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-23 15:52:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralph Loader 2003-10-02 06:44:51 UTC
Description of problem:

/usr/lib/AbiWord-2.0/plugins/libAbiHancom.so is linked against two different
versions of libglib: 1.2 and 2.0.

My understanding is that that is not supported; only one of the libraries
(presumably libglib-2.0) should be used.

Version-Release number of selected component (if applicable):

abiword-2.0.0-3

Steps to Reproduce:

ldd /usr/lib/AbiWord-2.0/plugins/libAbiHancom.so|grep glib

Actual results:

        libglib-1.2.so.0 => /usr/lib/libglib-1.2.so.0 (0x4f7e4000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x401ae000)

Expected results:

Only libglib-2.0.so.0 should be present.

Comment 1 Jeremy Katz 2003-10-21 20:50:13 UTC
Fixed in 2.0.0-5

Comment 2 Chris Ricker 2003-10-23 15:52:15 UTC
closing, confirmed fixed


Note You need to log in before you can comment on or make changes to this bug.